> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transactions

> Get all transactions for the authenticated user



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox post /v5/banks/getTransactions
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/banks/getTransactions:
    post:
      tags:
        - Banks
      summary: Get transactions
      description: Get all transactions for the authenticated user
      operationId: getTransactions
      parameters:
        - name: cursor
          in: header
          description: Cursor from the previous paginated response
          schema:
            type: string
        - name: limit
          in: header
          description: Page size, i.e. number of items to return per page
          schema:
            type: integer
            format: int32
      requestBody:
        description: Filter object
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/GetTransactionsPostParam'
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/getTransactionsV2ResponseWithCursorAndTotal
      security:
        - accessTokenSecurity: []
components:
  schemas:
    GetTransactionsPostParam:
      type: object
      properties:
        transactionFilters:
          $ref: '#/components/schemas/TransactionFilter'
        expenseFilters:
          $ref: '#/components/schemas/ExpenseFilter'
        revenueFilters:
          $ref: '#/components/schemas/RevenueFilter'
        bankTransferFilters:
          $ref: '#/components/schemas/BankTransferFilter'
        taxPaymentFilters:
          $ref: '#/components/schemas/TaxPaymentFilter'
        invoicePaymentFilters:
          $ref: '#/components/schemas/ArPaymentFilter'
    getTransactionsV2ResponseWithCursorAndTotal:
      type: object
      properties:
        data:
          type: array
          description: List of transactions
          items:
            $ref: '#/components/schemas/TransactionDTOV5v2'
        cursor:
          type: string
          description: >-
            Cursor to be used in your subsequent paginated request. Only
            populated if there are more pages available.
        total:
          type: integer
          description: >-
            Total count of transactions in this query. Only populated if
            `includeTotal` is true in the request body `transactionFilters`.
          format: int32
    TransactionFilter:
      type: object
      properties:
        bankAccountId:
          type: integer
          description: >-
            Bank filter - the id of the bank account used to filter bank
            accounts. Either this or apiAccountId should be provided when
            filtering by bank accounts.
          format: int64
        apiAccountId:
          type: string
          description: >-
            Bank filter - the id of the bank account (from your DB) used to
            filter bank accounts. Either this or bankAccountId should be
            provided when filtering by bank accounts.
        entities:
          type: array
          description: >-
            Entity filter - returns all transactions for specified entity types.
            Null or empty list will default to all entity types.
          items:
            type: string
            enum:
              - EXPENSE
              - REVENUE
              - BANK_TRANSFER
              - TAX_PAYMENT
              - INVOICE_PAYMENT
          enum:
            - EXPENSE
            - REVENUE
            - BANK_TRANSFER
            - TAX_PAYMENT
        statuses:
          type: array
          description: >-
            Status filter - returns all transactions for the specified statuses.
            Null or empty list will default to ACTIVE.
          items:
            type: string
            description: >-
              Status filter - returns all transactions for the specified
              statuses. Null or empty list will default to ACTIVE.
            enum:
              - ACTIVE
              - INACTIVE
        reviewStatuses:
          type: array
          description: >-
            Review status filter - returns all transactions for the specified
            review statuses. Null or empty will default to all review statuses.
          items:
            type: string
            description: >-
              Review status filter - returns all transactions for the specified
              review statuses. Null or empty will default to all review
              statuses.
            enum:
              - PARTNER_REVIEW_REQUIRED
              - USER_REVIEW_REQUIRED
              - ACCOUNTANT_REVIEW_REQUIRED
              - RECONCILIATION_STAGED
              - RECONCILED
              - RECONCILIATION_DISCREPANCY
              - ADJUSTMENT_USER_REVIEW_REQUIRED
              - ADJUSTMENT_ACCOUNTANT_REVIEW_REQUIRED
              - ADJUSTMENT_RECONCILIATION_STAGED
              - RECONCILIATION_AWAITING
        cashFlowDirection:
          type: string
          description: >-
            Cash Flow Direction filter - returns all transactions for the
            specified directions. Null or empty list will default to all
            transactions.
          enum:
            - IN
            - OUT
        bankDescription:
          type: string
          description: >-
            Bank description filter - returns all transactions containing the
            specified bank description. Null or empty will default to all bank
            descriptions.
        description:
          type: string
          description: >-
            Description filter - returns all transactions containing the
            specified description. Null or empty will default to all
            descriptions.
        minAmount:
          type: number
          description: >-
            Min amount filter - returns all transactions with an amount greater
            than or equal to the specified amount.
        maxAmount:
          type: number
          description: >-
            Max amount filter - returns all transactions with an amount less
            than or equal to the specified amount.
        year:
          type: integer
          description: >-
            Year filter (YYYY) - returns all records for the specified year.
            Null will return all transactions.
          format: int32
        month:
          type: integer
          description: Month filter [1-12] - returns all records for the specified month.
          format: int32
        beginDate:
          type: string
          description: >-
            Begin date filter - returns all records with a date after the
            specified date.
        endDate:
          type: string
          description: >-
            End date filter - returns all records with a date before the
            specified date.
        includeTotal:
          type: boolean
          description: >-
            Whether or not to include a total number of transactions across all
            pages for the given filters on the response. Defaults to false.
      description: Filters that pertain to all transactions
    ExpenseFilter:
      type: object
      properties:
        id:
          type: integer
          description: Id of the specific expense
          format: int64
        types:
          type: array
          description: >-
            Type filter - returns all expenses for the specified types. Null or
            empty list will default to include all types.
          items:
            type: string
            enum:
              - PENDING
              - NOT_BUSINESS
              - BUSINESS
          enum:
            - PENDING
            - BUSINESS
            - NOT_BUSINESS
        confidence:
          type: string
          description: >-
            Confidence filter - returns all pending expenses with the specified
            confidence for tax deduction. Null will return all transactions.
          enum:
            - LIKELY
            - QUESTIONABLE
            - UNLIKELY
        categoryIds:
          uniqueItems: true
          type: array
          description: >-
            Category filter - returns all expenses for the specified category
            ids. Null or empty list will default to all categories.
          items:
            type: integer
            description: >-
              Category filter - returns all expenses for the specified category
              ids. Null or empty list will default to all categories.
            format: int64
        personalCategoryIds:
          uniqueItems: true
          type: array
          description: >-
            Category filter - returns all expenses for the specified personal
            category ids. Null or empty list will default to all personal
            categories.
          items:
            type: integer
            description: >-
              Category filter - returns all expenses for the specified personal
              category ids. Null or empty list will default to all personal
              categories.
            format: int64
        vendorName:
          type: string
          description: >-
            Vendor filter - returns all expenses matching the specified vendor
            name. Null will default to all vendor names.
        vendorIds:
          uniqueItems: true
          type: array
          description: >-
            Vendor filter - returns all expenses for the specified vendor ids.
            Null or empty list will default to all vendors.
          items:
            type: integer
            description: >-
              Vendor filter - returns all expenses for the specified vendor ids.
              Null or empty list will default to all vendors.
            format: int64
        businessIds:
          uniqueItems: true
          type: array
          description: >-
            Business filter - returns all expenses for the specified business
            ids. Null or empty list will default to all businesses.
          items:
            type: integer
            description: >-
              Business filter - returns all expenses for the specified business
              ids. Null or empty list will default to all businesses.
            format: int64
        clientIds:
          uniqueItems: true
          type: array
          description: >-
            Client filter - returns all expenses for the specified client ids.
            Null or empty list will default to all clients.
          items:
            type: integer
            description: >-
              Client filter - returns all expenses for the specified client ids.
              Null or empty list will default to all clients.
            format: int64
      description: Filters that pertain to all expense transactions
    RevenueFilter:
      type: object
      properties:
        id:
          type: integer
          description: Id of the specific revenue
          format: int64
        types:
          type: array
          description: >-
            Type filter - returns all revenues for the specified types. Null or
            empty list will default to include all types.
          items:
            type: string
            description: >-
              Type filter - returns all revenues for the specified types. Null
              or empty list will default to include all types.
            enum:
              - PENDING
              - NOT_BUSINESS
              - BUSINESS
        businessIds:
          uniqueItems: true
          type: array
          description: >-
            Business filter - returns all revenues for the specified business
            ids. Null or empty list will default to all businesses.
          items:
            type: integer
            description: >-
              Business filter - returns all revenues for the specified business
              ids. Null or empty list will default to all businesses.
            format: int64
        clientIds:
          uniqueItems: true
          type: array
          description: >-
            Client filter - returns all revenues for the specified client ids.
            Null or empty list will default to all clients.
          items:
            type: integer
            description: >-
              Client filter - returns all revenues for the specified client ids.
              Null or empty list will default to all clients.
            format: int64
      description: Filters that pertain to all revenue transactions
    BankTransferFilter:
      type: object
      properties:
        id:
          type: integer
          description: Id of the specific bank transfer
          format: int64
        types:
          type: array
          description: >-
            Type filter - returns all bank transfers for the specified types.
            Null or empty list will default to include all types.
          items:
            type: string
            description: >-
              Type filter - returns all bank transfers for the specified types.
              Null or empty list will default to include all types.
            enum:
              - PENDING
              - CONFIRMED
      description: Filters that pertain to all bank transfer transactions
    TaxPaymentFilter:
      type: object
      properties:
        id:
          type: integer
          description: Id of the specific tax payment
          format: int64
        types:
          type: array
          description: >-
            Type filter - returns all tax payments for the specified types. Null
            or empty list will default to include all types.
          items:
            type: string
            description: >-
              Type filter - returns all tax payments for the specified types.
              Null or empty list will default to include all types.
            enum:
              - PENDING
              - CONFIRMED
      description: Filters that pertain to all tax payment transactions
    ArPaymentFilter:
      type: object
      properties:
        id:
          type: integer
          description: Id of the specific invoice payment
          format: int64
        types:
          type: array
          description: >-
            Type filter - returns all ar payment for the specified types. Null
            or empty list will default to include all types.
          items:
            type: string
            description: >-
              Type filter - returns all ar payment for the specified types. Null
              or empty list will default to include all types.
            enum:
              - CONFIRMED
              - PENDING
      description: Filters that pertain to all invoice payment transactions
    TransactionDTOV5v2:
      type: object
      properties:
        entity:
          type: string
          description: The Tight entity from which this transaction is sourced
          enum:
            - EXPENSE
            - REVENUE
            - BANK_TRANSFER
            - TAX_PAYMENT
            - INVOICE_PAYMENT
        entityId:
          type: integer
          description: Id of the Tight entity from which this transaction is sourced
          format: int64
        status:
          type: string
          description: Status of the transaction
          enum:
            - ACTIVE
            - INACTIVE
        reviewStatus:
          type: string
          description: Review status of the transaction
          enum:
            - PARTNER_REVIEW_REQUIRED
            - USER_REVIEW_REQUIRED
            - ACCOUNTANT_REVIEW_REQUIRED
            - RECONCILIATION_STAGED
            - RECONCILED
            - RECONCILIATION_DISCREPANCY
            - ADJUSTMENT_USER_REVIEW_REQUIRED
            - ADJUSTMENT_ACCOUNTANT_REVIEW_REQUIRED
            - ADJUSTMENT_RECONCILIATION_STAGED
        amount:
          type: number
          description: Amount of the transaction
        date:
          type: string
          description: Date of the transaction
          format: date-time
        bankAccountId:
          type: integer
          description: Id of the user's bank account
          format: int64
        description:
          type: string
          description: >-
            Description for the transaction, i.e. personal notes on the
            transaction
        bankDescription:
          type: string
          description: >-
            Transaction description, similar to what will show on the user's
            bank statement
        apiTransactionId:
          type: string
          description: Id of the transaction record in your DB
        apiAccountId:
          type: string
          description: Id of the user's bank account on associated API
        apiAccountNo:
          type: string
          description: >-
            Mask of the user's bank account, often the last 4 digits of the
            account number
        apiAccountName:
          type: string
          description: >-
            Display name for the bank account from which the transaction
            originated
          example: Citi Premier® Card
        apiInstitutionId:
          type: string
          description: Name or id of the institution from which the transaction originated
        expenseFields:
          $ref: '#/components/schemas/ExpenseResponseFields'
        revenueFields:
          $ref: '#/components/schemas/RevenueResponseFields'
        bankTransferFields:
          $ref: '#/components/schemas/BankTransferResponseFields'
        taxPaymentFields:
          $ref: '#/components/schemas/TaxPaymentResponseFields'
        arPaymentFields:
          $ref: '#/components/schemas/ArPaymentResponseFields'
        customData:
          type: object
          description: >-
            Custom JSON in which you can store any data with max length of 2000
            characters
        apiName:
          type: string
          description: API name of the institution from which the transaction originated
          enum:
            - BENCH
            - PLAID
            - QBO
            - SHOPIFY
            - SQUARE
            - STRIPE
            - THIRD_PARTY_BANK
            - UBER
            - UNIT
            - USER_ENTRY
            - USER_IMPORTED
            - XERO
        isClosed:
          type: boolean
          description: Whether the transaction is closed based on the current fiscal year
        userAccess:
          type: string
          description: >-
            Access level for the user. This field uses the default configuration
            for the Partner; however, it can be overridden to manipulate how a
            user can interact with this transaction.
          enum:
            - NONE
            - READ_ONLY
            - READ_WRITE
        accountantAccess:
          type: string
          description: >-
            Access level for the accountant. This field uses the default
            configuration for the Partner; however, it can be overridden to
            manipulate how an accountant can interact with this transaction.
          enum:
            - NONE
            - READ_ONLY
            - READ_WRITE
        v6EntityId:
          type: string
          description: Entity id on the v6 API for this transaction
      description: List of transactions
    ExpenseResponseFields:
      type: object
      properties:
        type:
          type: string
          description: Type of the expense transaction
          enum:
            - BUSINESS
            - NOT_BUSINESS
            - PENDING
            - PAYROLL
        vendorName:
          type: string
          description: Name of the vendor associated with the expense transaction
        vendorId:
          type: integer
          description: Id of the vendor associated with the expense transaction
          format: int64
        businessName:
          type: string
          description: Name of the business associated with the expense transaction
        businessId:
          type: integer
          description: Id of the business associated with the expense transaction
          format: int64
        clientId:
          type: integer
          description: Id of the client associated with the expense transaction
          format: int64
        categoryName:
          type: string
          description: Name of the category associated with the expense transaction
        categoryId:
          type: integer
          description: Id of the category associated with the expense transaction
          format: int64
        personalCategoryName:
          type: string
          description: >-
            Name of the personal category associated with the expense
            transaction
        personalCategoryId:
          type: integer
          description: Id of the personal category associated with the expense transaction
          format: int64
        expenseRuleId:
          type: integer
          description: Id of the rule that automatically classified the expense transaction
          format: int64
        bankTransferId:
          type: integer
          format: int64
        frequency:
          type: string
          description: Frequency of the expense transaction
          enum:
            - ONE_TIME
            - WEEKLY
            - MONTHLY
            - YEARLY
        glAccountName:
          type: string
          description: Name of the GL account this expense belongs to
      description: Fields specific to an expense transaction
    RevenueResponseFields:
      type: object
      properties:
        type:
          type: string
          description: Type of the revenue transaction
          enum:
            - BUSINESS
            - NOT_BUSINESS
            - PENDING
        businessName:
          type: string
          description: Name of the business associated with the revenue transaction
        businessId:
          type: integer
          description: Id of the business associated with the revenue transaction
          format: int64
        clientId:
          type: integer
          description: Id of the client associated with the revenue transaction
          format: int64
        revenueAccountId:
          type: integer
          description: >-
            Id of the GL account this revenue belongs to, defaults to the id of
            the 'Services Income' account
          format: int64
        glAccountName:
          type: string
          description: Name of the GL account this revenue belongs to
        revenueRuleId:
          type: integer
          description: Id of the rule that automatically classified the revenue transaction
          format: int64
        bankTransferId:
          type: integer
          format: int64
        invoiceId:
          type: integer
          description: Id of the invoice associated with the revenue transaction
          format: int64
      description: Fields specific to a revenue transaction
    BankTransferResponseFields:
      type: object
      properties:
        type:
          type: string
          description: Type of the bank transfer transaction
          enum:
            - CONFIRMED
            - PENDING
            - MATCHED
        transferType:
          type: string
          description: Transfer type of the bank transfer transaction
          enum:
            - DEPOSIT
            - WITHDRAWAL
        creditAccountId:
          type: integer
          description: 'Id of the credit account associated with this bank transfer '
          format: int64
        debitAccountId:
          type: integer
          description: 'Id of the debit account associated with this bank transfer '
          format: int64
        isPayout:
          type: boolean
          description: >-
            Whether this bank transfer is an aggregate payout of other
            transactions
          readOnly: true
        glAccountName:
          type: string
          description: Name of the GL account for this bank transfer
      description: Fields specific to a bank transfer transaction
    TaxPaymentResponseFields:
      type: object
      properties:
        type:
          type: string
          description: Type of the tax payment transaction
          enum:
            - CONFIRMED
            - PENDING
        glAccountName:
          type: string
          description: Name of the GL account for this tax payment
      description: Fields specific to a tax payment transaction
    ArPaymentResponseFields:
      type: object
      properties:
        bankTransferId:
          type: integer
          format: int64
      description: Fields specific to a ar payment transaction
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````